Package net.md_5.bungee.protocol.packet

# Class ClientCommand

java.lang.Object
net.md_5.bungee.protocol.DefinedPacket
net.md_5.bungee.protocol.packet.ClientCommand

public class ClientCommand extends DefinedPacket

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ClientCommand()`
  `ClientCommand(String command, long timestamp, long salt, Map<String,byte[]> signatures, boolean signedPreview, ChatChain chain, SeenMessages seenMessages, byte checksum)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected boolean`
  `canEqual(Object other)`
  `boolean`
  `equals(Object o)`
  `ChatChain`
  `getChain()`
  `byte`
  `getChecksum()`
  `String`
  `getCommand()`
  `long`
  `getSalt()`
  `SeenMessages`
  `getSeenMessages()`
  `Map<String,byte[]>`
  `getSignatures()`
  `long`
  `getTimestamp()`
  `void`
  `handle(AbstractPacketHandler handler)`
  `int`
  `hashCode()`
  `boolean`
  `isSignedPreview()`
  `void`
  `read(io.netty.buffer.ByteBuf buf, ProtocolConstants.Direction direction, int protocolVersion)`
  `void`
  `setChain(ChatChain chain)`
  `void`
  `setChecksum(byte checksum)`
  `void`
  `setCommand(String command)`
  `void`
  `setSalt(long salt)`
  `void`
  `setSeenMessages(SeenMessages seenMessages)`
  `void`
  `setSignatures(Map<String,byte[]> signatures)`
  `void`
  `setSignedPreview(boolean signedPreview)`
  `void`
  `setTimestamp(long timestamp)`
  `String`
  `toString()`
  `void`
  `write(io.netty.buffer.ByteBuf buf, ProtocolConstants.Direction direction, int protocolVersion)`

  ### Methods inherited from class net.md_5.bungee.protocol.DefinedPacket

  `nextProtocol, read, read, readArray, readArray, readBaseComponent, readBaseComponent, readComponentStyle, readEitherBaseComponent, readEnumSet, readFixedBitSet, readLengthPrefixed, readNullable, readNumberFormat, readProperties, readPublicKey, readString, readString, readStringArray, readStringMapKey, readTag, readTag, readUUID, readVarInt, readVarInt, readVarIntArray, readVarShort, setVarInt, toArray, write, write, writeArray, writeBaseComponent, writeComponentStyle, writeEitherBaseComponent, writeEnumSet, writeFixedBitSet, writeLengthPrefixed, writeNullable, writeNumberFormat, writeProperties, writePublicKey, writeString, writeString, writeStringArray, writeTag, writeUUID, writeVarInt, writeVarShort`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ClientCommand

    public ClientCommand()

  - ### ClientCommand

    public ClientCommand(String command, long timestamp, long salt, Map<String,byte[]> signatures, boolean signedPreview, ChatChain chain, SeenMessages seenMessages, byte checksum)

- ## Method Details

  - ### read

    public void read(io.netty.buffer.ByteBuf buf, ProtocolConstants.Direction direction, int protocolVersion)
    Overrides:
      `read` in class `DefinedPacket`

  - ### write

    public void write(io.netty.buffer.ByteBuf buf, ProtocolConstants.Direction direction, int protocolVersion)
    Overrides:
      `write` in class `DefinedPacket`

  - ### handle

    public void handle(AbstractPacketHandler handler) throws Exception
    Specified by:
      `handle` in class `DefinedPacket`
    Throws:
      `Exception`

  - ### getCommand

    public String getCommand()

  - ### getTimestamp

    public long getTimestamp()

  - ### getSalt

    public long getSalt()

  - ### getSignatures

    public Map<String,byte[]> getSignatures()

  - ### isSignedPreview

    public boolean isSignedPreview()

  - ### getChain

    public ChatChain getChain()

  - ### getSeenMessages

    public SeenMessages getSeenMessages()

  - ### getChecksum

    public byte getChecksum()

  - ### setCommand

    public void setCommand(String command)

  - ### setTimestamp

    public void setTimestamp(long timestamp)

  - ### setSalt

    public void setSalt(long salt)

  - ### setSignatures

    public void setSignatures(Map<String,byte[]> signatures)

  - ### setSignedPreview

    public void setSignedPreview(boolean signedPreview)

  - ### setChain

    public void setChain(ChatChain chain)

  - ### setSeenMessages

    public void setSeenMessages(SeenMessages seenMessages)

  - ### setChecksum

    public void setChecksum(byte checksum)

  - ### toString

    public String toString()
    Specified by:
      `toString` in class `DefinedPacket`

  - ### equals

    public boolean equals(Object o)
    Specified by:
      `equals` in class `DefinedPacket`

  - ### canEqual

    protected boolean canEqual(Object other)

  - ### hashCode

    public int hashCode()
    Specified by:
      `hashCode` in class `DefinedPacket`